Bug 67 - No error when using deadlock in liveness properties
Summary: No error when using deadlock in liveness properties
Status: RESOLVED FIXED
Alias: None
Product: UPPAAL
Classification: Unclassified
Component: Engine (show other bugs)
Version: 3.4.2
Hardware: All All
: P1 major
Assignee: Gerd Behrmann
URL:
Depends on:
Blocks:
 
Reported: 2003-11-01 12:04 CET by Gerd Behrmann
Modified: 2006-01-19 13:23 CET (History)
0 users

See Also:
Architecture:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gerd Behrmann 2003-11-01 12:04:38 CET
Uppaal does not detect the use of the deadlock keyword in liveness queries.
Uppaal cannot handle deadlock properties in the liveness checker and thus should
complain when they are used.
Comment 1 Gerd Behrmann 2003-12-09 13:46:40 CET
This bug is resolved by the fix for bug 72.
Comment 2 Gerd Behrmann 2004-02-17 21:58:54 CET
This bug is not fixed. The fix for bug 72 adds an implementation of the
evaluateMulti method for the deadlock expressions, but this is not enough for
using deadlock expressions in the liveness checker.

At the moment deadlock expressions are not handled correctly in the liveness
checker and an error should be generated stating that this use of the deadlock
property is not supported.
Comment 3 Gerd Behrmann 2006-01-19 13:23:04 CET
Fixed on the trunk (rev. 1465).